/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import { G as n } from "./common.js";
import { a as f } from "./utils.js";
import { M as a, a as l, d as G } from "./model-with-guides.js";
import { m as p } from "./model-setter.js";
var m = Object.defineProperty, c = Object.getOwnPropertyDescriptor, u = (o, e, t, h) => {
  for (var i = c(e, t), s = o.length - 1, r; s >= 0; s--)
    (r = o[s]) && (i = r(e, t, i) || i);
  return i && m(e, t, i), i;
};
class d extends a {
  // ---------------------------------------------------------------------------------------------
  // Guides Methods
  // ---------------------------------------------------------------------------------------------
  /**
   * Gets the number guides in the X-axis guides list.
   *
   * @returns The number of X-axis guides.
   */
  getXGuidesLength() {
    return this._config.axes?.[0]?.guides?.length;
  }
  addXAxisGuide(e, t) {
    l({
      config: this._config,
      name: e,
      index: t,
      orientation: n.X
    });
  }
  deleteXAxisGuide(e) {
    G({
      config: this._config,
      index: e,
      orientation: n.X
    });
  }
}
u([
  p
], d.prototype, "addXAxisGuide");
u([
  p
], d.prototype, "deleteXAxisGuide");
const g = [a];
f(d, g);
export {
  d as M
};
